function [p1x, p1y, p2x, p2y] = PoleRetrieve(cent, longprof, slop, imsizetoreach)

p1x = cent(1) - cos(slop)*(longprof/2-4);
p1y = cent(2) - sin(slop)*(longprof/2-4);
p2x = cent(1) + cos(slop)*(longprof/2-4);
p2y = cent(2) + sin(slop)*(longprof/2-4);

if p1x < 0
    p1x = 0;
elseif p1x > imsizetoreach(2)
    p1x = imsizetoreach(2);
end
if p2x < 0
    p2x = 0;
elseif p2x > imsizetoreach(2)
    p2x = imsizetoreach(2);
end
if p1y < 0
    p1y = 0;
elseif p1y > imsizetoreach(1)
    p1y = imsizetoreach(1);
end
if p2y < 0
    p2y = 0;
elseif p2y > imsizetoreach(1)
    p2y = imsizetoreach(1);
end


end

