function [p1x, p1y, p2x, p2y] = PoleRetrieve(cent, longprof, slop, indices, val, imsizetoreach)

p1x = cent(indices(val), 1) - cos(slop(indices(val)))*(longprof(indices(val))/2-4);
p1y = cent(indices(val), 2) - sin(slop(indices(val)))*(longprof(indices(val))/2-4);
p2x = cent(indices(val), 1) + cos(slop(indices(val)))*(longprof(indices(val))/2-4);
p2y = cent(indices(val), 2) + sin(slop(indices(val)))*(longprof(indices(val))/2-4);
if p1x < 0
    p1x = 0;
elseif p1x > imsizetoreach(2)
    p1x = imsizetoreach(2);
end
if p2x < 0
    p2x = 0;
elseif p2x > imsizetoreach(2)
    p2x = imsizetoreach(2);
end
if p1y < 0
    p1y = 0;
elseif p1y > imsizetoreach(1)
    p1y = imsizetoreach(1);
end
if p2y < 0
    p2y = 0;
elseif p2y > imsizetoreach(1)
    p2y = imsizetoreach(1);
end
end

