% % Test function


% addpath('J:\')
mainDirectory = '/'; % Main Directory in which subsequent steps will be saved
dirImage = dir(fullfile(mainDirectory,'*.tif')); % List Images in the directory
LoadFileDirectory = fullfile(mainDirectory, '');
loadingDirectory2 = fullfile(mainDirectory, 'seg_results');

LoadSubFileDirectory = fullfile(mainDirectory,'reseg_results');
mkdir(savefiledirectory);


SaveTrackingResults = fullfile(mainDirectory, 'tracking_angle_results');
mkdir(fullfile(SaveTrackingResults));

fileName{f} = dirImage(f).name';
[stringtofilter] = regexp(fileName{f}', '\_', 'split');
starttime = stringtofilter{2}; 
filter = stringtofilter{3};
position = stringtofilter{4};
date = stringtofilter{5};
picnumber = stringtofilter{6};
imagingtime = picnumber;
picnumber = char(picnumber(1:length(picnumber)-4));

clims = [0 255];

LoadGlobalFileName = fullfile(LoadFileDirectory, sprintf('start_%s_%s_%s_%s_%s_global_variables.mat', starttime ,filter, position, date, picnumber));
load(LoadGlobalFileName)
f = replacef;

if f == 2;
    fin = 3000; else fin = (replacef+1)*1000; % To end at the last frame of the serie, should be edited.
end

f = (replacef*1000)+1;
    fileName{f} = dirImage(f).name';
    [stringtofilter] = regexp(fileName{f}', '\_', 'split');
    starttime = stringtofilter{2};
    filter = stringtofilter{3};
    position = stringtofilter{4};
    date = stringtofilter{5};
    picnumber = stringtofilter{6};
    imagingtime = picnumber;
    picnumber = char(picnumber(1:length(picnumber)-4));
    clims = [0 255];
    LoadGlobalFileName = fullfile(LoadFileDirectory, sprintf('start_%s_%s_%s_%s_%s_global_variables.mat', starttime ,filter, position, date, picnumber));
    load(LoadGlobalFileName)
    
    
    for subpart = 1:Split2 % Each subpart
        
        fileName{f} = dirImage(f).name';
        [stringtofilter] = regexp(fileName{f}', '\_', 'split');
        starttime = stringtofilter{2}; 
        filter = stringtofilter{3};
        position = stringtofilter{4};
        date = stringtofilter{5};
        picnumber = stringtofilter{6};
        imagingtime = picnumber;
        picnumber = char(picnumber(1:length(picnumber)-4));
        clims = [0 255];
        LoadGlobalFileName = fullfile(LoadFileDirectory, sprintf('start_%s_%s_%s_%s_%s_global_variables.mat', starttime ,filter, position, date, picnumber));
        load(LoadGlobalFileName)
        
        clear B1;
        clear slope1;
        clear bfacto1;
        clear boundarea1;
        clear center1;
        clear single_cell_indices1;
        clear longueur1;
        clear centroid1;
        clear centerrip1
        clear ang1;
        clear larg1;
        
        
        LoadsubFileName = fullfile(LoadSubFileDirectory, sprintf('start_%s_%s_%s_%s_%s_part%d_variables_resegmented.mat', starttime ,filter, position, date, picnumber, subpart));
        if exist(LoadsubFileName, 'file')~= 2
            LoadsubFileName = fullfile(LoadFileDirectory, sprintf('start_%s_%s_%s_%s_%s_part%d_variables.mat', starttime ,filter, position, date, picnumber, subpart));
        end
        load(LoadsubFileName);
        B1 = newB;
        ang1 = slopevector;
        boundarea1 = newboundarea;
        single_cell_indices1 = final_single_cell_indices;
        centroid1 = centroid;
        longueur1 = longueur_profile;
        clear slope1;
        ChangeCenterFl = 0;
        
        for k = 1:length(single_cell_indices1)
            clear machin
            bound = B1{single_cell_indices1(k)};
            con = convhull(bound(:,2), bound(:,1));
            machin(:,:) = bound(con,:);
            centerrip1(single_cell_indices1(k),2) = mean(machin(:,1)); % Compute center of mass x and y corrdinates
            centerrip1(single_cell_indices1(k),1) = mean(machin(:,2));
            
            
            [rectx, recty, area, perimeter] = minboundrect(bound(con,2), bound(con,1));
            
            first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
            second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
            if first < second
                width = first;
                longueur = second;
            else
                width = second;
                longueur = first;
            end
            
            larg1(single_cell_indices1(k)) = width;
            
            center1(single_cell_indices1(k),1) = (rectx(1)+rectx(3))/2;
            center1(single_cell_indices1(k),2) = (recty(1)+recty(3))/2;
            
            if atan(ang1(single_cell_indices1(k))) < 0
                slope1(single_cell_indices1(k)) = pi + atan(ang1(single_cell_indices1(k)));
            else
                slope1(single_cell_indices1(k)) = atan(ang1(single_cell_indices1(k)));
            end
        end
        
        
        
        %Create a tracking map
        
        
        
        tracking_map = zeros(length(B1), length(dirImage));
        tracking_map(:,1) = 1:length(B1);
        for f = (replacef*1000)+1:fin; % Local Tracking relying on angle, move, width, length and area of the cells.
            
            LoadGlobalFileName = fullfile(LoadFileDirectory, sprintf('start_%s_%s_%s_%s_%s_global_variables.mat', starttime ,filter, position, date, picnumber));
            load(LoadGlobalFileName)
            
            
            f
            clear B2;
            clear slope2;
            clear bfacto2;
            clear boundarea2;
            clear center2;
            clear single_cell_indices2;
            clear longueur2;
            clear centroid2;
            clear centerrip2
            clear ang2;
            clear larg2;
            
            if  ChangeCenterFl == 1
                center1 = centold;
                centroid1 = centroidold;
            end
            
            B2 = B1;
            slope2 = slope1;
            boundarea2 = boundarea1;
            single_cell_indices2 = single_cell_indices1;
            center2 = center1;
            centerrip2 = centerrip1;
            longueur2 = longueur1;
            centroid2 = centroid1;
            ang2 = ang1;
            larg2 = larg1;
            
            
            fileName{f} = dirImage(f).name';
            [stringtofilter] = regexp(fileName{f}', '\_', 'split');
            starttime = stringtofilter{2}; 
            filter = stringtofilter{3};
            position = stringtofilter{4};
            date = stringtofilter{5};
            picnumber = stringtofilter{6};
            imagingtime = picnumber;
            picnumber = char(picnumber(1:length(picnumber)-4));
            clims = [0 255];
            
            LoadsubFileName = fullfile(LoadSubFileDirectory, sprintf('start_%s_%s_%s_%s_%s_part%d_variables_resegmented.mat', starttime ,filter, position, date, picnumber, subpart));
            if exist(LoadsubFileName, 'file')~= 2
                LoadsubFileName = fullfile(LoadFileDirectory, sprintf('start_%s_%s_%s_%s_%s_part%d_variables.mat', starttime ,filter, position, date, picnumber, subpart));
            end
            
            load(LoadsubFileName);
            
            
            
            clear B1;
            clear slope1;
            clear bfactor1;
            clear boundarea1;
            clear center1;
            clear single_cell_indices1;
            clear longueur1;
            clear centroid1;
            clear ang1;
            clear larg1;
            
            B1 = newB;
            ang1 = slopevector;
            boundarea1 = newboundarea;
            single_cell_indices1 = final_single_cell_indices;
            centroid1 = centroid;
            longueur1 = longueur_profile;
            
            for k = 1:length(single_cell_indices1)
                clear machin
                bound = B1{single_cell_indices1(k)};
                con = convhull(bound(:,2), bound(:,1));
                machin(:,:) = bound(con,:);
                centerrip1(single_cell_indices1(k),2) = mean(machin(:,1));
                centerrip1(single_cell_indices1(k),1) = mean(machin(:,2));
                [rectx, recty, area, perimeter] = minboundrect(bound(con,2), bound(con,1));
                
                first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                if first < second
                    width = first;
                    longueur = second;
                else
                    width = second;
                    longueur = first;
                end
                larg1(single_cell_indices1(k)) = width;
                center1(single_cell_indices1(k),1) = (rectx(1)+rectx(3))/2;
                center1(single_cell_indices1(k),2) = (recty(1)+recty(3))/2;
                
                if atan(ang1(single_cell_indices1(k))) < 0
                    slope1(single_cell_indices1(k)) = pi + atan(ang1(single_cell_indices1(k)));
                else
                    slope1(single_cell_indices1(k)) = atan(ang1(single_cell_indices1(k)));
                end
            end
            
            mean_deltay = mean(center1(find(center1(:,1) ~= 0),2))-mean(center2(find(center2(:,1) ~= 0),2));
            ChangeCenterFl = 0;
            clear centold;
            if abs(mean_deltay) > 3 && abs(numel(single_cell_indices2)-numel(single_cell_indices1)) < 15
                ChangeCenterFl = 1;
                centold = center1;
                centroidold = centroid1;
                for k = 1:length(single_cell_indices1)
                    center1(single_cell_indices1(k),2) =  center1(single_cell_indices1(k),2) - mean_deltay;
                    centroid1(single_cell_indices1(k),2) =  centroid1(single_cell_indices1(k),2) - mean_deltay;
                end
                mean_deltay = mean(center1(find(center1(:,1) ~= 0),2))-mean(center2(find(center2(:,1) ~= 0),2));
                
            end
            
            
            
            lambda(1) = 5; % Weight for Delta_pos
            lambda(2) = 0.1; % Weight for weighted_posx
            lambda(3) = 2; % Weight for weighted_posy
            lambda(4) = 0.1; % Weight for Delta_area
            lambda(5) = 50;
            lambda(6) = 10;
            maxfact = 9;
            
            
            
            %Easiest version you can imagine : just link the nearest object(s) / if the
            %nearest object is 2 time smaller than the previous one, assume it is
            %divided.
            clear linkage_Map_pos;
            clear linkage_Map_area;
            clear orientation_Map_area;
            clear linkage_posy;
            
            linkage_Map_pos = zeros(length(single_cell_indices1), length(single_cell_indices2));
            linkage_Map_area = zeros(length(single_cell_indices1), length(single_cell_indices2));
            linkage_posx = zeros(length(single_cell_indices1), length(single_cell_indices2));
            linkage_posy = zeros(length(single_cell_indices1), length(single_cell_indices2));
            linkage_posxreal = zeros(length(single_cell_indices1), length(single_cell_indices2));
            linkage_area_ratio = zeros(length(single_cell_indices1), length(single_cell_indices2));
            orientation_Map_area = zeros(length(single_cell_indices1), length(single_cell_indices2));
            scoring_Map = zeros(length(single_cell_indices1), length(single_cell_indices2));
            clear Test_variable
            Test_variable = zeros(length(single_cell_indices1), length(single_cell_indices2));
            linkage_move = zeros(length(single_cell_indices1), length(single_cell_indices2));
            %We will calculate a deltax and a deltay which will be directly related to
            %the angle of the cells + a "normal" DeltaX
            
            
            for k = 1:length(single_cell_indices1)
                for l = 1:length(single_cell_indices2)
                    marqueur = 0;
                    
                    delta_posxreal = center2(single_cell_indices2(l),1)-center1(single_cell_indices1(k),1);
                    delta_posyreal = center2(single_cell_indices2(l),2)-center1(single_cell_indices1(k),2);
                    weighted_posx = delta_posxreal*0.8;
                    
                    if delta_posxreal < -10
                        weighted_posx = delta_posxreal * 2;
                    end
                    angle2 = slope2(single_cell_indices2(l));
                    angle1 = slope1(single_cell_indices1(k));
                    area = (boundarea1(single_cell_indices1(k))-boundarea2(single_cell_indices2(l)));
                    delta_area = abs(area);
                    area_ratio = delta_area/max([boundarea1(single_cell_indices1(k)) boundarea2(single_cell_indices2(l))]);
                    %         if area_ratio == 0;
                    %
                    %         end
                    
                    if (angle2 > pi/2-0.4 && angle2 < pi/2+0.4)
                        if delta_posxreal < -2
                            weighted_posx = delta_posxreal*2;
                        end
                    end
                    
                    
                    delta_orientation = Delta_Angle(angle1,angle2);
                    
                    delta_pos = sqrt((weighted_posx)^2 + (delta_posyreal)^2);
                    if delta_pos > 50
                        scoring_Map(k,l) = Inf;
                    else
                        linkage_Map_pos(k,l) = delta_pos;
                        linkage_posxreal(k,l)=delta_posxreal;
                        linkage_Map_area(k,l) = area;
                        orientation_Map_area(k,l) = delta_orientation;
                        linkage_area_ratio(k,l) = area_ratio;
                        scoring_Map(k,l) = lambda(1) * delta_pos + lambda(2) *abs(weighted_posx) + lambda(3) *abs(delta_posyreal) + lambda(4)*delta_area + lambda(5)* delta_orientation;
                    end
                    
                end
            end
            
            
            
            
            
            
            
            C = zeros(length(single_cell_indices2),1);
            I = zeros(length(single_cell_indices2),1);
            C2 = zeros(length(single_cell_indices2),1);
            I2 = zeros(length(single_cell_indices2),1);
            division_marker = zeros(length(single_cell_indices2),1);
            clear to_work;
            
            
            
            
            for m = 1:length(single_cell_indices2)
                
                [sorted_min ix_sorted] = sort(scoring_Map(:,m));
                voisins = ix_sorted(sorted_min ~= Inf);
                sorted_min(1:length(voisins));
                compt=1;
                boundary2 = B2{single_cell_indices2(m)};
                boundary1 = B1{single_cell_indices1(ix_sorted(compt))};
                [x1,y1] = poly2cw(boundary1(:,2), boundary1(:,1));
                [x2,y2] = poly2cw(boundary2(:,2), boundary2(:,1));
                
                [xb, yb] = polybool('intersection', x1, y1, x2, y2);
                if isempty(xb) == 0
                    
                    if sorted_min(compt)<65
                        if linkage_area_ratio(ix_sorted(compt), m) < 0.4
                            C(m) = scoring_Map(ix_sorted(compt),m);
                            I(m) = ix_sorted(compt);
                            to_work{m} = 0;
                        else
                            to_work{m} = voisins;
                        end
                    else
                        to_work{m} = voisins;
                    end
                else
                    to_work{m} = voisins;
                end
            end
            clear f2un;
            f2un = find(I==0);
            clear pair;
            clear f1un
            compt = 1;
            for k = 1:length(single_cell_indices1)
                if isempty(find(I == k)) == 1
                    f1un(compt) = k;
                    compt = compt+1;
                end
            end
            clear f1unmatched
            clear f2unmatched
            compt = 1;
            compt2 = 1;
            max_move = 0;
            total_displacement = 0;
            for k = 1:length(single_cell_indices1)
                if isempty(find(I == k)) == 1;
                    f1un(compt) = k;
                    compt = compt+1;
                elseif length(find(I == k)) > 1 || isempty(find(I2 == k)) ~=1
                    
                else
                    
                    distance = sqrt(sum(diff([centroid1(single_cell_indices1(k),:) ; centroid2(single_cell_indices2(find(I ==k)),:)]).^2));
                    dis(compt2) = distance;
                    compt2 = compt2+1;
                    if distance > max_move
                        max_move = distance;
                        pos = k;
                    end
                    if size(distance,2) ~= 1
                        'cry'
                        k
                        break
                    end
                    total_displacement = total_displacement + distance;
                end
            end
            mean_move = total_displacement/(compt2-1);
            if exist('f1un','var') == 1 && exist('f2un', 'var') == 1
                f1un = f1un';
                match_compt = 1;
                clear pair;
                
                f1untemp = f1un;
                f2untemp = f2un;
                for l = 1:size(f1un,1)
                    cvois = 0;
                    clear lisvois;
                    bound1 = B1{single_cell_indices1(f1un(l))};
                    cent1 =  center1(single_cell_indices1(f1un(l)),:);
                    if cent1(1)>10
                        angle1 = slope1(single_cell_indices1(f1un(l)));
                        area1 = boundarea1(single_cell_indices1(f1un(l)));
                        long1 = longueur1(single_cell_indices1(f1un(l)));
                        for l2 = 1:size(f2un,1);
                            if f2untemp(l2,1) ~= 0
                                bound2 = B2{single_cell_indices2(f2un(l2))};
                                cent2 = center2(single_cell_indices2(f2un(l2)),:);
                                long2 = longueur2(single_cell_indices2(f2un(l2)));
                                if  sqrt(sum(diff([cent1;cent2]).^2)) < max([long1/1.8 long2/1.8 mean_move])
                                    delta_posxreal = cent2(1)-cent1(1);
                                    delta_posyreal = cent2(2)-cent1(2);
                                    if  delta_posxreal > 1 && delta_posyreal > 1
                                        moving = atan(delta_posyreal/delta_posxreal);
                                        if moving < 0
                                            moving = moving+pi;
                                        end
                                    else
                                        moving = 0;
                                    end
                                    angle2 = slope2(single_cell_indices2(f2un(l2)));
                                    
                                    delta_orientation = Delta_Angle(angle1,angle2);
                                    if long2 < 25
                                        larg_lon_ratio = longueur2(single_cell_indices2(f2un(l2)))/larg2(single_cell_indices2(f2un(l2)));
                                        if larg_lon_ratio < 1.5  || cent1(1) > 1200
                                            maxangle = pi/2;
                                        else
                                            maxangle = 0.7;
                                        end
                                    else
                                        maxangle = 0.7;
                                    end
                                    if delta_orientation < maxangle
                                        cvois = cvois+1;
                                        lisvois(cvois) = l2;
                                        area2 = boundarea2(single_cell_indices2(f2un(l2)));
                                        polyarea(bound2(:,2), bound2(:,1));
                                    end
                                end
                            end
                        end
                        if cvois == 1
                            l2 = lisvois(1);
                            long2 = longueur2(single_cell_indices2(f2un(l2)));
                            area2 =  boundarea2(single_cell_indices2(f2un(l2)));
                            angle2 = slope2(single_cell_indices2(f2un(l2)));
                            delta_orientation = Delta_Angle(angle1,angle2);
                            fla = 0;
                            if max([long1 long2]) > 40
                                if abs(long2-long1)/(long2+long1) < 0.2 && delta_orientation < 0.4
                                    fla =1;
                                end
                            else
                                if abs(long2-long1)/(long2+long1) < 0.35 && delta_orientation < 0.4
                                    fla =1;
                                end
                            end
                            if fla == 1
                                
                                bound2 =  B2{single_cell_indices2(f2un(l2))};
                                conv2 = convhull(bound2(:,2), bound2(:,1));
                                conarea2 = polyarea(bound2(conv2,2), bound2(conv2,1));
                                conv1 = convhull(bound1(:,2), bound1(:,1));
                                conarea1 = polyarea(bound1(conv1,2), bound1(conv1,1));
                                if abs(area2-area1)/(area2+area1) < 0.35 || abs(conarea2-conarea1)/(conarea2+conarea1) < 0.33
                                    pair(match_compt,:) = [l l2];
                                    match_compt = match_compt+1;
                                    f1untemp(l,:) = 0;
                                    f2untemp(l2,:) = 0;
                                end
                                
                            end
                        elseif cvois == 2
                            clear bounda;
                            clear centa;
                            clear anglea;
                            clear longa;
                            clear disX
                            clear disY
                            for k = 1:cvois
                                l2 = lisvois(k);
                                bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                anglea(k) = slope2(single_cell_indices2(f2un(l2)));
                                longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                disX(k) = centa{k}(1)-cent1(1);
                                disY(k) = centa{k}(2)-cent1(2);
                                end
                            delta_orientation = Delta_Angle(anglea(k),anglea(k-1));
                            if (delta_orientation < 0.30 && (bounda(k)+bounda(k-1))/area1 > 0.72 && (bounda(k)+bounda(k-1))/area1 < 1.28) || ((sum(longa)-long1)/(sum(longa)+long1) < 0.1 && (bounda(k)+bounda(k-1))/area1 > 0.8250 && (bounda(k)+bounda(k-1))/area1 < 1.175) ||  ((sum(longa)-long1)/(sum(longa)+long1) < 0.1 && delta_orientation < 0.30 || ((bounda(k)+bounda(k-1))/area1 < 1.1 &&  (bounda(k)+bounda(k-1))/area1 > 0.9 && delta_orientation < 0.45))
                                meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                if abs(meancent(1)- cent1(1)) < max([mean_move 15]) && abs(meancent(2) - cent1(2)) < max([mean_move 11])
                                    for k = 1:cvois
                                        l2 = lisvois(k);
                                        pair(match_compt,:) = [l l2];
                                        match_compt = match_compt+1;
                                        f1untemp(l,:) = 0;
                                        f2untemp(l2,:) = 0;
                                        bound2 =  B2{single_cell_indices2(f2un(l2))};
                                    end
                                end
                            elseif delta_orientation < 0.35
                                bound1 = B2{single_cell_indices2(f2un(lisvois(1)))};
                                bound2 = B2{single_cell_indices2(f2un(lisvois(2)))};
                                [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound2(:,2)], [bound1(:,1); bound2(:,1)]);
                                first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                if first < second
                                    width = first;
                                    longue = second;
                                else
                                    width = second;
                                    longue = first;
                                end
                                longueur = longue;
                                if abs((longueur-long1)/(longueur+long1)) < 0.1 && delta_orientation < 0.35
                                    meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                    if abs(meancent(1)- cent1(1)) < max([mean_move 15]) && abs(meancent(2) - cent1(2)) < max([mean_move 11])
                                        for k = 1:cvois
                                            l2 = lisvois(k);
                                            pair(match_compt,:) = [l l2];
                                            match_compt = match_compt+1;
                                            f1untemp(l,:) = 0;
                                            f2untemp(l2,:) = 0;
                                            bound2 =  B2{single_cell_indices2(f2un(l2))};
                                        end
                                    end
                                end
                            else
                                ar2 = abs(bounda(k)-area1)/(area1 + bounda(k));
                                ar1 = abs(bounda(k-1)-area1)/(area1 + bounda(k-1));
                                if abs(ar1-ar2) > 0.15
                                    [minar minaridx] = min([ar1, ar2]);
                                    k = minaridx;
                                    delta_or = Delta_Angle(anglea(k), angle1);
                                    l2 = lisvois(k);
                                    delta_posxreal = centa{k}(1)-cent1(1);
                                    delta_posyreal = centa{k}(2)-cent1(2);
                                    if abs(delta_posxreal) > 1 || abs(delta_posyreal) > 1
                                        moving(k) = atan(delta_posyreal/delta_posxreal);
                                    else
                                        moving(k) = 0;
                                    end
                                    if moving(k) < 0
                                        moving(k) = moving(k)+pi;
                                    end
                                    Delta_move = Delta_Angle(moving(k), angle1);
                                    if ((abs(longa(k)-long1)/(longa(k)+long1) < 0.2 && abs(bounda(k)-area1)/(bounda(k)+area1) < 0.15) || (abs(longa(k)-long1)/(longa(k)+long1) < 0.3 && abs(bounda(k)-area1)/(bounda(k)+area1) < 0.3 && delta_or <0.15)) &&  disX(k) < 8 && Delta_move < 0.9
                                        pair(match_compt,:) = [l l2];
                                        match_compt = match_compt+1;
                                        f1untemp(l,:) = [0];
                                        f2untemp(l2,:) = [0];
                                    end
                                end
                                
                            end
                        elseif cvois > 2
                            cvois2 = 0;
                            clear lisvois2;
                            clear bounda;
                            clear centa;
                            clear anglea;
                            clear longa;
                            for k = 1:cvois
                                l2 = lisvois(k);
                                bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                anglea(k) = slope2(single_cell_indices2(f2un(l2)));
                                longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                delta_posxreal = centa{k}(1)-cent1(1);
                                delta_posyreal = centa{k}(2)-cent1(2);
                                if long1 < 40
                                    if abs(delta_posxreal) > 1 || abs(delta_posyreal) > 1
                                        moving(k) = atan(delta_posyreal/delta_posxreal);
                                        if moving(k) < 0
                                            moving(k) = moving(k)+pi;
                                        end
                                    else moving(k) = 0;
                                    end
                                else
                                    if abs(delta_posxreal) > long1/30 || abs(delta_posyreal) > long1/30;
                                        moving(k) = atan(delta_posyreal/delta_posxreal);
                                        if moving(k) < 0
                                            moving(k) = moving(k)+pi;
                                        end
                                    else moving(k) = 0;
                                    end
                                end
                                delta_or = Delta_Angle(moving(k), angle1);
                                if Delta_Angle(moving(k), 0) < 0.4 || delta_or < 0.5 || (delta_posxreal < 3*mean_move && delta_or < 0.9 && abs(longa(k)-long1)/(longa(k)+long1) < 0.2)
                                    cvois2 = cvois2+1;
                                    lisvois2(cvois2) = l2;
                                    
                                end
                            end
                            
                            
                            if cvois2 > 3
                                
                                cvois3 = 0;
                                clear lisvois3;
                                clear bounda;
                                clear centa;
                                clear anglea;
                                clear longa;
                                for k = 1:cvois2
                                    l2 = lisvois2(k);
                                    bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                    centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                    anglea(k) = slope2(single_cell_indices2(f2un(l2)));
                                    longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                    delta_posxreal = centa{k}(1)-cent1(1);
                                    delta_posyreal = centa{k}(2)-cent1(2);
                                    if long1 < 40
                                        if abs(delta_posxreal) > 1 || abs(delta_posyreal) > 1
                                            moving(k) = atan(delta_posyreal/delta_posxreal);
                                            if moving(k) < 0
                                                moving(k) = moving(k)+pi;
                                            end
                                        else moving(k) = 0;
                                        end
                                    else
                                        if abs(delta_posxreal) > long1/30 || abs(delta_posyreal) > long1/30;
                                            moving(k) = atan(delta_posyreal/delta_posxreal);
                                            if moving(k) < 0
                                                moving(k) = moving(k)+pi;
                                            end
                                        else moving(k) = 0;
                                        end
                                    end
                                    delta_or = Delta_Angle(moving(k), angle1);
                                    if Delta_Angle(moving(k), 0) < 0.4 || delta_or < 0.3
                                        cvois3 = cvois3+1;
                                        lisvois3(cvois3) = l2;
                                        
                                    end
                                end
                                if cvois3 > 2
                                    cvois4 = 0;
                                    clear lisvois4;
                                    clear bounda;
                                    clear centa;
                                    clear anglea;
                                    clear longa;
                                    clear delta_posxreal;
                                    clear delta_posyreal;
                                    clear moving
                                    clear distance
                                    for k = 1:cvois3
                                        l2 = lisvois3(k);
                                        bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                        centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                        anglea(k) =slope2(single_cell_indices2(f2un(l2)));
                                        longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                        delta_posxreal(k) = centa{k}(1)-cent1(1);
                                        delta_posyreal(k) = centa{k}(2)-cent1(2);
                                        distance(k) = sqrt(sum(diff([centa{k};cent1]).^2));
                                    end
                                    bound1 = B2{single_cell_indices2(f2un(lisvois3(1)))};
                                    bound2 = B2{single_cell_indices2(f2un(lisvois3(2)))};
                                    bound3 = B2{single_cell_indices2(f2un(lisvois3(3)))};
                                    [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound2(:,2)], [bound1(:,1); bound2(:,1)]);
                                    first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                    second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                    if first < second
                                        width(1) = first;
                                        longue(1) = second;
                                    else
                                        width(1) = second;
                                        longue(1) = first;
                                    end
                                    
                                    
                                    [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound3(:,2)], [bound1(:,1); bound3(:,1)]);
                                    first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                    second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                    if first < second
                                        width(2) = first;
                                        longueur(2) = second;
                                    else
                                        width(2) = second;
                                        longue(2) = first;
                                    end
                                    
                                    
                                    [rectx, recty, aire, perim] =  minboundrect([bound3(:,2); bound2(:,2)], [bound3(:,1); bound2(:,1)]);
                                    first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                    second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                    if first < second
                                        width(3) = first;
                                        longue(3) = second;
                                    else
                                        width(3) = second;
                                        longue(3) = first;
                                    end
                                    [valmin minidx] = min(width);
                                    k = minidx;
                                    if k == 1
                                        lisvois4 = [lisvois2(1) lisvois2(2)];
                                    elseif k == 2
                                        lisvois4 = [lisvois2(1) lisvois2(3)];
                                    elseif k == 3
                                        lisvois4 = [lisvois2(2) lisvois2(3)];
                                    end
                                    longueur = longue(k);
                                    clear bounda;
                                    clear centa;
                                    clear anglea;
                                    clear longa;
                                    clear delta_posxreal;
                                    clear delta_posyreal;
                                    clear moving
                                    clear distance
                                    for k = 1:2
                                        l2 = lisvois4(k);
                                        bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                        centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                        anglea(k) =slope2(single_cell_indices2(f2un(l2)));
                                        longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                        delta_posxreal(k) = centa{k}(1)-cent1(1);
                                        delta_posyreal(k) = centa{k}(2)-cent1(2);
                                        distance(k) = sqrt(sum(diff([centa{k};cent1]).^2));
                                    end
                                    
                                    delta_or = Delta_Angle(anglea(k), anglea(k-1));
                                    if (delta_or < 0.3 && ((bounda(k)+bounda(k-1))/area1 > 0.75 && (bounda(k)+bounda(k-1))/area1 < 1.25) || abs((longueur-long1))/(longueur+long1) < 0.2 ) || (delta_or < 0.8 && (bounda(k)+bounda(k-1))/area1 > 0.85 && (bounda(k)+bounda(k-1))/area1 < 1.15)
                                        meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                        if abs(meancent(1)- cent1(1)) < max([abs(cos(angle1))*long1/2, max_move]) && abs(meancent(2) - cent1(2)) <  abs(sin(angle1))*long1/2+2
                                            for k = 1:2
                                                l2 = lisvois4(k);
                                                pair(match_compt,:) = [l l2];
                                                match_compt = match_compt+1;
                                                f1untemp(l,:) = 0;
                                                f2untemp(l2,:) = 0;
                                            end
                                        end
                                    end
                                elseif cvois3 == 2
                                    clear bounda
                                    clear centa
                                    clear anglea
                                    clear longa
                                    clear moving;
                                    for k = 1:cvois3
                                        l2 = lisvois3(k);
                                        bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                        centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                        anglea(k) = slope2(single_cell_indices2(f2un(l2)));
                                        longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                    end
                                    delta_orientation = Delta_Angle(anglea(k), anglea(k-1));
                                    if ((bounda(k)+bounda(k-1))/area1 > 0.75 && (bounda(k)+bounda(k-1))/area1 < 1.25 && delta_orientation < 0.3 ) || ((bounda(k)+bounda(k-1))/area1 > 0.85 && (bounda(k)+bounda(k-1))/area1 < 1.15 && delta_orientation < 0.5 )
                                        meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                        if abs(meancent(1)- cent1(1)) < abs(cos(angle1))*long1/2 && abs(meancent(2) - cent1(2)) <  max([abs(sin(angle1))*long1/2 2])
                                            for k = 1:cvois3
                                                l2 = lisvois3(k);
                                                pair(match_compt,:) = [l l2];
                                                match_compt = match_compt+1;
                                                f1untemp(l,:) = 0;
                                                f2untemp(l2,:) = 0;
                                                bound2 =  B2{single_cell_indices2(f2un(l2))};
                                            end
                                       end
                                    end
                                elseif cvois3 == 1
                                    l2 = lisvois3(1);
                                    area2 = boundarea2(single_cell_indices2(f2un(l2)));
                                    angle2 = slope2(single_cell_indices2(f2un(l2)));
                                    long2 = longueur2(single_cell_indices2(f2un(l2)));
                                    delta_orientation = Delta_Angle(angle1, angle2);
                                    if abs(long2-long1)/(long2+long1) < 0.2 && delta_orientation < 0.2 && abs(area2-area1)/(area2+area1) < 0.1
                                        bound2 = B2{single_cell_indices2(f2un(l2))};
                                        pair(match_compt,:) = [l l2];
                                        match_compt = match_compt+1;
                                        f1untemp(l,:) = 0;
                                        f2untemp(l2,:) = 0;
                                        
                                        
                                    end
                                end
                            elseif cvois2 == 3
                                cvois3 = 0;
                                clear lisvois3;
                                clear bounda;
                                clear centa;
                                clear anglea;
                                clear longa;
                                clear delta_posxreal;
                                clear delta_posyreal;
                                clear moving
                                clear distance
                                for k = 1:cvois2
                                    l2 = lisvois2(k);
                                    bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                    centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                    anglea(k) =slope2(single_cell_indices2(f2un(l2)));
                                    longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                    delta_posxreal(k) = centa{k}(1)-cent1(1);
                                    delta_posyreal(k) = centa{k}(2)-cent1(2);
                                    distance(k) = sqrt(sum(diff([centa{k};cent1]).^2));
                                end
                                bound1 = B2{single_cell_indices2(f2un(lisvois2(1)))};
                                bound2 = B2{single_cell_indices2(f2un(lisvois2(2)))};
                                bound3 = B2{single_cell_indices2(f2un(lisvois2(3)))};
                                
                                [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound2(:,2)], [bound1(:,1); bound2(:,1)]);
                                first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                if first < second
                                    width(1) = first;
                                    longue(1) = second;
                                else
                                    width(1) = second;
                                    longue(1) = first;
                                end
                                
                                
                                [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound3(:,2)], [bound1(:,1); bound3(:,1)]);
                                first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                if first < second
                                    width(2) = first;
                                    longueur(2) = second;
                                else
                                    width(2) = second;
                                    longue(2) = first;
                                end
                                
                                
                                [rectx, recty, aire, perim] =  minboundrect([bound3(:,2); bound2(:,2)], [bound3(:,1); bound2(:,1)]);
                                first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                if first < second
                                    width(3) = first;
                                    longue(3) = second;
                                else
                                    width(3) = second;
                                    longue(3) = first;
                                end
                                [valmin minidx] = min(width);
                                k = minidx;
                                if k == 1
                                    lisvois3 = [lisvois2(1) lisvois2(2)];
                                elseif k == 2
                                    lisvois3 = [lisvois2(1) lisvois2(3)];
                                elseif k == 3
                                    lisvois3 = [lisvois2(2) lisvois2(3)];
                                end
                                longueur = longue(k);
                                clear bounda;
                                clear centa;
                                clear anglea;
                                clear longa;
                                clear delta_posxreal;
                                clear delta_posyreal;
                                clear moving
                                clear distance
                                for k = 1:2
                                    l2 = lisvois3(k);
                                    bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                    centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                    anglea(k) =slope2(single_cell_indices2(f2un(l2)));
                                    longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                    delta_posxreal(k) = centa{k}(1)-cent1(1);
                                    delta_posyreal(k) = centa{k}(2)-cent1(2);
                                    distance(k) = sqrt(sum(diff([centa{k};cent1]).^2));
                                end
                                
                                delta_or = Delta_Angle(anglea(k), anglea(k-1));
                                if (delta_or < 0.3 && ((bounda(k)+bounda(k-1))/area1 > 0.75 && (bounda(k)+bounda(k-1))/area1 < 1.25) || abs((longueur-long1))/(longueur+long1) < 0.2 ) || (delta_or < 0.8 && (bounda(k)+bounda(k-1))/area1 > 0.85 && (bounda(k)+bounda(k-1))/area1 < 1.15)
                                    meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                    if abs(meancent(1)- cent1(1)) < max([abs(cos(angle1))*long1/2, max_move]) && abs(meancent(2) - cent1(2)) <  abs(sin(angle1))*long1/2+2
                                        for k = 1:2
                                            l2 = lisvois3(k);
                                            pair(match_compt,:) = [l l2];
                                            match_compt = match_compt+1;
                                            f1untemp(l,:) = 0;
                                            f2untemp(l2,:) = 0;
                                        end
                                    end
                                end
                            elseif cvois2 == 2
                                clear bounda
                                clear centa
                                clear anglea
                                clear longa
                                clear moving;
                                for k = 1:cvois2
                                    l2 = lisvois2(k);
                                    bounda(k) = boundarea2(single_cell_indices2(f2un(l2)));
                                    centa{k} = center2(single_cell_indices2(f2un(l2)),:);
                                    anglea(k) = slope2(single_cell_indices2(f2un(l2)));
                                    longa(k) = longueur2(single_cell_indices2(f2un(l2)));
                                end
                                delta_orientation = Delta_Angle(anglea(k), anglea(k-1));
                                if ((bounda(k)+bounda(k-1))/area1 > 0.75 && (bounda(k)+bounda(k-1))/area1 < 1.25 && delta_orientation < 0.3 ) || ((bounda(k)+bounda(k-1))/area1 > 0.85 && (bounda(k)+bounda(k-1))/area1 < 1.15 && delta_orientation < 0.5 ) || (sum(longa)/long1 < 1.15 && sum(longa)/long1 > 0.85 && delta_orientation < 0.5)
                                    meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                    if abs(meancent(1)- cent1(1)) < abs(cos(angle1))*long1/2 && abs(meancent(2) - cent1(2)) <  max([abs(sin(angle1))*long1/2 2])
                                        for k = 1:cvois2
                                            l2 = lisvois2(k);
                                            pair(match_compt,:) = [l l2];
                                            match_compt = match_compt+1;
                                            f1untemp(l,:) = 0;
                                            f2untemp(l2,:) = 0;
                                            bound2 =  B2{single_cell_indices2(f2un(l2))};
                                        end
                                    end
                                end
                            elseif cvois2 == 1
                                l2 = lisvois2(1);
                                area2 = boundarea2(single_cell_indices2(f2un(l2)));
                                angle2 = slope2(single_cell_indices2(f2un(l2)));
                                long2 = longueur2(single_cell_indices2(f2un(l2)));
                                delta_orientation = Delta_Angle(angle1, angle2);
                                if abs(long2-long1)/(long2+long1) < 0.2 &&delta_orientation < 0.4 && abs(area2-area1)/(area2+area1) < 0.1
                                    bound2 = B2{single_cell_indices2(f2un(l2))};
                                    pair(match_compt,:) = [l l2];
                                    match_compt = match_compt+1;
                                    f1untemp(l,:) = 0;
                                    f2untemp(l2,:) = 0;
                                end
                            end
                            
                            
                            
                        end
                    end
                end
                for l2 = 1:size(f2un,1)
                    %                 l2 = l2+1
                    cvois = 0;
                    clear lisvois;
                    cvoisput = 0;
                    clear lisvoisput;
                    if f2untemp(l2,1) ~= 0
                        bound2 = B2{single_cell_indices2(f2un(l2))};
                        cent2 = center2(single_cell_indices2(f2un(l2)),:);
                        if cent2(1)>30
                            angle2 = slope2(single_cell_indices2(f2un(l2)));
                            area2 = boundarea2(single_cell_indices2(f2un(l2)));
                            long2 = longueur2(single_cell_indices2(f2un(l2)));
                            for l = 1:size(f1un,1);
                                if f1untemp(l,1) ~= 0
                                    bound1 = B1{single_cell_indices1(f1un(l))};
                                    cent1 =  center1(single_cell_indices1(f1un(l)),:);
                                    long1 = longueur1(single_cell_indices1(f1un(l)));
                                    if   sqrt(sum(diff([cent1;cent2]).^2)) < max([long1/2 long2/2 mean_move])
                                        angle1 =slope1(single_cell_indices1(f1un(l)));
                                        delta_posxreal = cent2(1)-cent1(1);
                                        delta_posyreal = cent2(2)-cent1(2);
                                        if  abs(delta_posxreal) > 1 && abs(delta_posyreal) > 1
                                            moving = atan(delta_posyreal/delta_posxreal);
                                            if moving < 0
                                                moving = moving+pi;
                                            end
                                        else
                                            moving = 0;
                                        end
                                        maxangle = 1.5;
                                        if cent2(1) > 1200
                                            maxangle = 1.5;
                                        end
                                        delta_orientation = Delta_Angle(angle1, angle2);
                                        
                                        if delta_orientation < maxangle
                                            
                                            cvois = cvois+1;
                                            lisvois(cvois) = l;
                                            
                                            area1 = boundarea1(single_cell_indices1(f1un(l)));
                                            polyarea(bound1(:,2), bound1(:,1));
                                        else
                                            cvoisput = cvoisput+1;
                                            lisvoisput(cvoisput) = l;
                                        end
                                    end
                                end
                            end
                            if cvois == 0
                                if cvoisput == 1
                                    l = lisvoisput(1);
                                    angle1 = slope1(single_cell_indices1(f1un(l)));
                                    area1 = boundarea1(single_cell_indices1(f1un(l)));
                                    long1 = longueur1(single_cell_indices1(f1un(l)));
                                    if abs(long2-long1)/(long2+long1) < 0.2 && abs(area2-area1)/(area2+area1) < 0.1
                                        pair(match_compt,:) = [l l2];
                                        match_compt = match_compt+1;
                                        f1untemp(l,:) = 0;
                                        f2untemp(l2,:) = 0;
                                    end
                                elseif cvoisput == 2
                                    clear bounda;
                                    clear centa;
                                    clear anglea;
                                    clear longa;
                                    clear distance
                                    for k = 1:cvoisput
                                        l = lisvoisput(k);
                                        
                                        bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                        centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                        anglea(k) = slope1(single_cell_indices1(f1un(l)));
                                        longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                    end
                                    if ((bounda(k)+bounda(k-1))/area2 > 0.9 && (bounda(k)+bounda(k-1))/area2 < 1.1)
                                        meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                        if abs(meancent(1)- cent2(1)) < 10 + 1 && abs(meancent(2) - cent2(2)) < 10
                                            for k = 1:cvoisput
                                                l = lisvoisput(k);
                                                pair(match_compt,:) = [l l2];
                                                match_compt = match_compt+1;
                                                f1untemp(l,:) = 0;
                                                f2untemp(l2,:) = 0;
                                                
                                            end
                                        end
                                        
                                    end
                                    
                                end
                            elseif cvois == 1
                                l = lisvois(1);
                                
                                
                                angle1 = slope1(single_cell_indices1(f1un(l)));
                                area1 = boundarea1(single_cell_indices1(f1un(l)));
                                long1 = longueur1(single_cell_indices1(f1un(l)));
                                delta_orientation = Delta_Angle(angle1, angle2);
                                if abs(long2-long1)/(long2+long1) < 0.2 && delta_orientation < 0.3 || abs(area2-area1)/(area2+area1) < 0.1 && delta_orientation < 0.3 || abs(area2-area1)/(area2+area1) < 0.25 && abs(long2-long1)/(long2+long1) < 0.3
                                    pair(match_compt,:) = [l l2];
                                    match_compt = match_compt+1;
                                    f1untemp(l,:) = 0;
                                    f2untemp(l2,:) = 0;
                                end
                                
                            elseif cvois == 2
                                clear bounda;
                                clear centa;
                                clear anglea;
                                clear longa;
                                clear distance
                                for k = 1:cvois
                                    l = lisvois(k);
                                    
                                    bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                    centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                    anglea(k) = slope1(single_cell_indices1(f1un(l)));
                                    longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                    distance(k) = sqrt(sum(diff([centa{k};cent2]).^2));
                                    disX(k) = centa{k}(1)-cent2(1);
                                    disY(k) = centa{k}(2)-cent2(2);
                                    
                                end
                                delta_orientation = Delta_Angle(anglea(k), anglea(k-1));
                                if (abs((sum(longa)-long2))/(sum(longa)+long2) < 0.1 && delta_orientation < 0.7) || ((sum(longa)-long2)/(sum(longa)+long2) < 0.25 && (bounda(k)+bounda(k-1))/area2 > 0.75 && (bounda(k)+bounda(k-1))/area2 < 1.25 && delta_orientation < 0.30 ) ||((sum(longa)-long2)/(sum(longa)+long2) < 0.2 && (bounda(k)+bounda(k-1))/area2 > 0.85 && (bounda(k)+bounda(k-1))/area2 < 1.15)
                                    meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                    if abs(meancent(1)- cent2(1)) < max([mean_move 11]) && abs(meancent(2) - cent2(2)) < 10
                                        for k = 1:cvois
                                            l = lisvois(k);
                                            pair(match_compt,:) = [l l2];
                                            match_compt = match_compt+1;
                                            f1untemp(l,:) = 0;
                                            f2untemp(l2,:) = 0;
                                            
                                        end
                                    end
                                    
                                else
                                    [valmindis idxmindis] = min(distance(:));
                                    if abs(diff(distance)) < 1.5
                                        [valmindis idxmindis] = min(abs(disY(:)));
                                    end
                                    delta_orientation = Delta_Angle(anglea(idxmindis), angle2);
                                    if abs(longa(idxmindis) - long2)/(long2+longa(idxmindis)) < 0.1 && valmindis < 5 %&& delta_orientation < 0.4
                                        l = lisvois(idxmindis);
                                        pair(match_compt,:) = [l l2];
                                        match_compt = match_compt+1;
                                        f1untemp(l,:) = 0;
                                        f2untemp(l2,:) = 0;
                                    end
                                    
                                end
                            elseif cvois > 2
                                cvois2 = 0;
                                clear lisvois2;
                                clear bounda;
                                clear centa;
                                clear anglea;
                                clear longa;
                                for k = 1:cvois
                                    l = lisvois(k);
                                    bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                    centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                    anglea(k) =slope1(single_cell_indices1(f1un(l)));
                                    longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                    delta_posxreal(k) = centa{k}(1)-cent2(1);
                                    delta_posyreal(k) = centa{k}(2)-cent2(2);
                                    distance(k) = sqrt(sum(diff([centa{k};cent2]).^2));
                                    if long2 < 40
                                        if abs(delta_posxreal(k)) > 1 || abs(delta_posyreal(k)) > 1
                                            moving(k) = atan(delta_posyreal(k)/delta_posxreal(k));
                                            if moving(k) < 0
                                                moving(k) = moving(k)+pi;
                                            end
                                        else moving(k) = 0;
                                        end
                                    else
                                        if abs(delta_posxreal(k)) > long2/30 || abs(delta_posyreal(k)) > long2/30;
                                            moving(k) = atan(delta_posyreal(k)/delta_posxreal(k));
                                            if moving(k) < 0
                                                moving(k) = moving(k)+pi;
                                            end
                                        else moving(k) = 0;
                                        end
                                    end
                                    
                                    if (Delta_Angle(moving(k), 0) < 0.2 || Delta_Angle(moving(k),angle2) < 0.7) && abs(delta_posyreal(k)) < max([sin(angle2)*long2 3.5])
                                        cvois2 = cvois2+1;
                                        lisvois2(cvois2) = l;
                                        
                                    end
                                end
                                
                                if cvois2 == 3 && long2 > 95
                                    clear bounda;
                                    clear centa;
                                    clear anglea;
                                    clear longa;
                                    clear delta_posxreal;
                                    clear delta_posyreal;
                                    clear distance;
                                    for k = 1:cvois2
                                        l = lisvois2(k);
                                        bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                        centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                        anglea(k) =slope1(single_cell_indices1(f1un(l)));
                                        longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                        delta_posxreal(k) = centa{k}(1)-cent2(1);
                                        delta_posyreal(k) = centa{k}(2)-cent2(2);
                                        distance(k) = sqrt(sum(diff([centa{k};cent2]).^2));
                                    end
                                    [mintomaxlong, IX] = sort(longa);
                                    for k = 2:3
                                        l = lisvois2(IX(k));
                                        pair(match_compt,:) = [l l2];
                                        match_compt = match_compt+1;
                                        f1untemp(l,:) = 0;
                                        f2untemp(l2,:) = 0;
                                    end
                                    
                                elseif cvois2 == 3 && long2 < 95
                                    cvois3 = 0;
                                    clear lisvois3;
                                    clear bounda;
                                    clear centa;
                                    clear anglea;
                                    clear longa;
                                    clear delta_posxreal;
                                    clear delta_posyreal;
                                    clear moving
                                    clear distance
                                    for k = 1:cvois2
                                        l = lisvois2(k);
                                        bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                        centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                        anglea(k) =slope1(single_cell_indices1(f1un(l)));
                                        longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                        delta_posxreal(k) = centa{k}(1)-cent2(1);
                                        delta_posyreal(k) = centa{k}(2)-cent2(2);
                                        distance(k) = sqrt(sum(diff([centa{k};cent2]).^2));
                                    end
                                    bound1 = B1{single_cell_indices1(f1un(lisvois2(1)))};
                                    bound2 = B1{single_cell_indices1(f1un(lisvois2(2)))};
                                    bound3 = B1{single_cell_indices1(f1un(lisvois2(3)))};
                                    
                                    [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound2(:,2)], [bound1(:,1); bound2(:,1)]);
                                    first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                    second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                    if first < second
                                        width(1) = first;
                                        longue(1) = second;
                                    else
                                        width(1) = second;
                                        longue(1) = first;
                                    end
                                    
                                    
                                    [rectx, recty, aire, perim] =  minboundrect([bound1(:,2); bound3(:,2)], [bound1(:,1); bound3(:,1)]);
                                    first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                    second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                    if first < second
                                        width(2) = first;
                                        longueur(2) = second;
                                    else
                                        width(2) = second;
                                        longue(2) = first;
                                    end
                                    
                                    
                                    [rectx, recty, aire, perim] =  minboundrect([bound3(:,2); bound2(:,2)], [bound3(:,1); bound2(:,1)]);
                                    first = sqrt((rectx(2)-rectx(1))^2 + (recty(2)-recty(1))^2);
                                    second = sqrt((rectx(3)-rectx(2))^2 + (recty(3)-recty(2))^2);
                                    if first < second
                                        width(3) = first;
                                        longue(3) = second;
                                    else
                                        width(3) = second;
                                        longue(3) = first;
                                    end
                                    [valmin minidx] = min(width);
                                    k = minidx;
                                    if k == 1
                                        lisvois3 = [lisvois2(1) lisvois2(2)];
                                    elseif k == 2
                                        lisvois3 = [lisvois2(1) lisvois2(3)];
                                    elseif k == 3
                                        lisvois3 = [lisvois2(2) lisvois2(3)];
                                    end
                                    longueur = longue(k);
                                    clear bounda;
                                    clear centa;
                                    clear anglea;
                                    clear longa;
                                    clear delta_posxreal;
                                    clear delta_posyreal;
                                    clear moving
                                    clear distance
                                    for k = 1:2
                                        l = lisvois3(k);
                                        bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                        centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                        anglea(k) =slope1(single_cell_indices1(f1un(l)));
                                        longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                        delta_posxreal(k) = centa{k}(1)-cent2(1);
                                        delta_posyreal(k) = centa{k}(2)-cent2(2);
                                        distance(k) = sqrt(sum(diff([centa{k};cent2]).^2));
                                    end
                                    
                                    delta_or = Delta_Angle(anglea(k), anglea(k-1));
                                    if (delta_or < 0.3 && ((bounda(k)+bounda(k-1))/area2 > 0.75 && (bounda(k)+bounda(k-1))/area2 < 1.25) || abs((longueur-long2))/(longueur+long2) < 0.2 ) || (delta_or < 0.8 && (bounda(k)+bounda(k-1))/area2 > 0.85 && (bounda(k)+bounda(k-1))/area2 < 1.15)
                                        meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                        if abs(meancent(1)- cent2(1)) < max([abs(cos(angle2))*long2/2, max_move]) && abs(meancent(2) - cent2(2)) <  abs(sin(angle2))*long2/2+1
                                            for k = 1:2
                                                l = lisvois3(k);
                                                pair(match_compt,:) = [l l2];
                                                match_compt = match_compt+1;
                                                f1untemp(l,:) = 0;
                                                f2untemp(l2,:) = 0;
                                            end
                                       end
                                    end
                                elseif cvois2 == 2
                                    clear bounda
                                    clear centa
                                    clear anglea
                                    clear longa
                                    clear moving;
                                    for k = 1:cvois2
                                        l = lisvois2(k);
                                        bounda(k) = boundarea1(single_cell_indices1(f1un(l)));
                                        centa{k} = center1(single_cell_indices1(f1un(l)),:);
                                        anglea(k) = slope1(single_cell_indices1(f1un(l)));
                                        longa(k) = longueur1(single_cell_indices1(f1un(l)));
                                    end
                                    delta_orientation = Delta_Angle(anglea(k), anglea(k-1));
                                    if( (bounda(k)+bounda(k-1))/area2 > 0.725 && (bounda(k)+bounda(k-1))/area2 < 1.225 && delta_orientation< 0.35 ) || ( (bounda(k)+bounda(k-1))/area2 > 0.85 && (bounda(k)+bounda(k-1))/area2 < 1.15 && delta_orientation< 0.8 )|| ( (bounda(k)+bounda(k-1))/area2 > 0.8 && (bounda(k)+bounda(k-1))/area2 < 1.2 && (longa(k)+longa(k-1))/long2 < 1.1 &&  (longa(k)+longa(k-1))/long2 > 0.9  )
                                        
                                        meancent = [mean([centa{k}(1) centa{k-1}(1)]) mean([centa{k}(2) centa{k-1}(2)])];
                                        if abs(meancent(1)- cent2(1)) < abs(cos(angle2))*long2/2+mean_move && abs(meancent(2) - cent2(2)) <  max([abs(sin(angle2))*long2/2 3.5])
                                            for k = 1:cvois2
                                                l = lisvois2(k);
                                                pair(match_compt,:) = [l l2];
                                                match_compt = match_compt+1;
                                                f1untemp(l,:) = 0;
                                                f2untemp(l2,:) = 0;
                                                
                                            end
                                        end
                                    end
                                end
                            elseif cvois2 == 1
                                delta_orientation = Delta_Angle(angle1, angle2);
                                if  abs(long2-long1)/(long2+long1) < 0.2 && delta_orientation < 0.2 && abs(area2-area1)/(area2+area1) < 0.1
                                    pair(match_compt,:) = [l l2];
                                    match_compt = match_compt+1;
                                    f1untemp(l,:) = 0;
                                    f2untemp(l2,:) = 0;
                                end
                            end
                            
                            
                        end
                    end
                end
            end
            
            
            if exist('pair', 'var') == 1
                for k = 1:size(pair,1);
                    if I(f2un(pair(k,2))) == 0;
                        I(f2un(pair(k,2))) = f1un(pair(k,1));
                    else
                        I2(f2un(pair(k,2))) = f1un(pair(k,1));
                    end
                end
            end
             % compute parameters (mean displacement) if it fails the test,
             % results are recomputed with a global alignement.
            clear f1unmatched
            clear f2unmatched
            compt = 1;
            compt2 = 1;
            max_move = 0;
            total_displacement = 0;
            for k = 1:length(single_cell_indices1)
                n = find(I == k);
                if isempty(n) == 1;
                    f1un(compt) = k;
                    compt = compt+1;
                elseif length(n) > 1 || I2(n) ~= 0
                else
                    distance = sqrt(sum(diff([centroid1(single_cell_indices1(k),:) ; centroid2(single_cell_indices2(find(I ==k)),:)]).^2));
                    compt2 = compt2+1;
                    if distance > max_move
                        max_move = distance;
                        pos = k;
                    end
                    if size(distance,2) ~= 1
                        break
                    end
                    total_displacement = total_displacement + distance;
                end
            end
            mean_move = total_displacement/(compt2-1);
            
            % Global alignement
            if length(find(I==0)) > 4 && mean_move > 4 && max_move > 19 ||  mean_move > 10  && max_move > 15 || length(find(I==0))>30
                clear parameter
                %             'second version with refinement'
                for k = 1:length(single_cell_indices2)
                    parameter{1}(k).center = center2(single_cell_indices2(k),:);
                    parameter{1}(k).boundaries = B2{single_cell_indices2(k)};
                    parameter{1}(k).boundedarea = boundarea2(single_cell_indices2(k));
                    parameter{1}(k).longueur = longueur2(single_cell_indices2(k));
                    parameter{1}(k).slope = slope2(single_cell_indices2(k));
                    parameter{1}(k).centroid = centroid2(single_cell_indices2(k),:);
                    parameter{1}(k).largeur = larg2(single_cell_indices2(k));
                end
                for k =  1:length(single_cell_indices1)
                    parameter{2}(k).center = center1(single_cell_indices1(k),:);
                    parameter{2}(k).boundaries = B1{single_cell_indices1(k)};
                    parameter{2}(k).boundedarea = boundarea1(single_cell_indices1(k));
                    parameter{2}(k).longueur = longueur1(single_cell_indices1(k));
                    parameter{2}(k).slope = slope1(single_cell_indices1(k));
                    parameter{2}(k).centroid = centroid1(single_cell_indices1(k),:);
                    parameter{2}(k).largeur = larg1(single_cell_indices1(k));
                end
                num_param(1,:) = size(parameter{1});
                num_param(2,:) = size(parameter{2});
                I=zeros(1, num_param(1,2));
                I2 = zeros(1, num_param(1,2));
                
                d = particle_link2(parameter, mean_move);
                c = refine_track(d, parameter);
                
                for k =1:num_param(1,2)
                    [val, indexcherche] = find(c{1}(k,:));
                    if length(val) == 1
                        if indexcherche <= num_param(2,2)
                            I(k) = indexcherche;
                        else
                            I(k) = 0;
                        end
                    elseif length(val) == 2
                        %                         break
                        if indexcherche(1) <= num_param(2,2)
                            I(k) = indexcherche(1);
                            if indexcherche(2) <= num_param(2,2)
                                I2(k) = indexcherche(2);
                            end
                        else
                            if indexcherche(2) <= num_param(2,2)
                                I(k) = indexcherche(2);
                                I2(k) = 0;
                            else
                                I(k) = 0;
                                I2(k) = 0;
                            end
                        end
                    elseif length(val) > 2
                        f
                        'Dramatic Situation ? but Why !'
                        break
                        
                        
                    end
                end
                clear f1unmatched
                clear f2unmatched
                compt = 1;
                compt2 = 1;
                max_move = 0;
                total_displacement = 0;
                for k = 1:length(single_cell_indices1)
                    n = find(I == k);
                    if isempty(n) == 1;
                        f1un(compt) = k;
                        compt = compt+1;
                    elseif length(n) > 1 || I2(n) ~= 0
                    else
                        distance = sqrt(sum(diff([centroid1(single_cell_indices1(k),:) ; centroid2(single_cell_indices2(find(I ==k)),:)]).^2));
                        compt2 = compt2+1;
                        if distance > max_move
                            max_move = distance;
                            pos = k;
                        end
                        if size(distance,2) ~= 1
                            break
                        end
                        total_displacement = total_displacement + distance;
                    end
                end
                mean_move = total_displacement/(compt2-1);
                if length(find(I==0)) > 15 && mean_move > 8 && max_move > 20
                    e = refine_track2(d, parameter);
                    num_param(1,:) = size(parameter{1});
                    num_param(2,:) = size(parameter{2});
                    I=zeros(1, num_param(1,2));
                    I2 = zeros(1, num_param(1,2));
                    
                    for k =1:num_param(1,2)
                        [val, indexcherche] = find(e{1}(k,:));
                        if length(val) == 1
                            if indexcherche <= num_param(2,2)
                                I(k) = indexcherche;
                            else
                                I(k) = 0;
                            end
                        elseif length(val) == 2
                            %                         break
                            if indexcherche(1) <= num_param(2,2)
                                I(k) = indexcherche(1);
                                if indexcherche(2) <= num_param(2,2)
                                    I2(k) = indexcherche(2);
                                end
                            else
                                if indexcherche(2) <= num_param(2,2)
                                    I(k) = indexcherche(2);
                                    I2(k) = 0;
                                else
                                    I(k) = 0;
                                    I2(k) = 0;
                                end
                            end
                        elseif length(val) > 2
                            f
                            'Dramatic Situation ? but Why !'
                            break
                            
                            
                        end
                    end
                end
                clear parameter;
                savefileName = fullfile(SaveTrackingResults,sprintf('start_%s_%s_%s_%s_%s_part%d_variables.mat', starttime ,filter, position, date, picnumber, subpart));
                save(savefileName, 'I', 'I2'); % Save the matching matrix
            else
                clear f2un;
                f2un = find(I==0);
                clear pair;
                clear f1un
                compt = 1;
                for k = 1:length(single_cell_indices1)
                    if isempty(find(I == k)) == 1
                        f1un(compt) = k;
                        compt = compt+1;
                    end
                end
                
                savefileName = fullfile(SaveTrackingResults,sprintf('start_%s_%s_%s_%s_%s_part%d_variables.mat', starttime ,filter, position, date, picnumber, subpart));
                save(savefileName, 'I', 'I2'); % Save the matching matrix
            end
            
            
        end
    end
    
